Skip to main content
GET
Get STO balance and status information
Retrieves the balance of an STO.

Query Parameters

  • tokenSymbol (required): Token symbol
  • id (required): STO ID

Example

Response

Authorizations

x-api-key
string
header
required

Query Parameters

tokenSymbol
string
required

The symbol of the token.

id
string<uuid>
required

The unique identifier (UUID) of the STO.

Response

200 - application/json

Successful response - STO balance details retrieved

Represents the balance and status details of an STO.

uuid
string<uuid>
required

Unique identifier of the STO.

Example:

"a1b2c3d4-e5f6-7890-1234-567890abcdef"

name
string
required

Name of the STO.

Example:

"Project Phoenix STO"

companyName
string
required

Name of the company issuing the STO.

Example:

"Phoenix Innovations Inc."

status
string
required

Current status of the STO (e.g., ACTIVE, PAUSED, COMPLETED).

Example:

"ACTIVE"

tokenAmount
string
required

Total amount of tokens offered in the STO (as a string).

Example:

"5000000"

hardCap
string
required

The hard cap funding goal (as a string).

Example:

"2500000"

softCap
string
required

The soft cap funding goal (as a string).

Example:

"500000"

minInvestment
string
required

Minimum required investment per participant (as a string).

Example:

"200"

maxInvestment
string
required

Maximum allowed investment per participant (as a string).

Example:

"25000"

startDate
string<date-time>
required

The STO start date and time in ISO 8601 format.

Example:

"2025-05-01T09:00:00.000Z"

endDate
string<date-time>
required

The STO end date and time in ISO 8601 format.

Example:

"2025-08-01T23:59:59.000Z"

tokenPrice
string
required

Price per token (as a string).

Example:

"0.75"

tokenSymbol
string
required

Symbol for the token being offered.

Example:

"PHNX"

currentAmountRaised
string
required

The amount currently raised in the STO (as a string).

Example:

"875320.50"

availableAmount
string
required

The amount of tokens still available for sale (as a string).

Example:

"4124679.33"